# Credit Card Validation

You can use the Operator Validation API to check if a credit card is valid and safe to use. This helps prevent fraud and ensures smooth transactions.

## Execute the Validation

<mark style="color:green;">`POST`</mark> `/in/validation`

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |
| Accept       | `application/json` |
| x-auth-token | `<token>`          |

**Body**

| Name            | Type   | Description                                                     |
| --------------- | ------ | --------------------------------------------------------------- |
| `operator_id`   | number | The ID of the operator for the operator plans.                  |
| `connection_no` | number | The connection number for which the recharge is to be executed. |
| `circle_id`     | number | The ID of the circle, can be obtained from Circle Lookup API    |
| `amount`        | number | Amount for which recharge has to be done                        |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "description": "The status of the recharge execution."
    },
    "message": {
      "type": "string",
      "description": "A message providing additional information about the recharge execution."
    },
     "data": {
      "type": "error",
      "description": "Transaction ID of the recharge"
    }
  }
}
```

{% endtab %}

{% tab title="4XX/5XX" %}

```json
{
    "error": true,
    "message": "Description for the error",
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.globaltopup.in/india-recharge/credit-card-validation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
